          Determine if the input column from the crate is a virtual
          column.

is_virtual(crate, colname)

Argument
Description
crate
A Crate object such as a TABLECrate or IMAGECrate
colname
The column name (case insensitive).

The is_virtual command returns True if the specified column is a virtual column and False if it is not; see "ahelp dm" for information on virtual columns.

>>> cr = read_file("evt2.fits")
>>> is_virtual(cr, "time")
False
>>> is_virtual(cr, "eqpos")
True

The is_virtual command is used to determine that the eqpos column is virtual, but the time column is not.

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013